How To Check PHP Compatibility of WordPress Plugins and Themes

LAST UPDATED: September 23, 2020 • POSTED IN: ,

PHP is the backbone of your WordPress website and there can be numerous reasons for upgrading the PHP version.

If you’re planning to update the PHP version of your website then I would recommend checking the compatibility of all your themes and plugin before making an upgrade  

In this quick guide, I’ll guide you on how to check PHP compatibility of WordPress plugins and themes.  

How To Check PHP Compatibility 

As you all know, there are plenty of WordPress plugins available to perform a certain task. 

So is PHP Compatibility Checker Plugin, that helps you to check themes and plugins compatibility.

This is the best option and there is no need to dig into any other solution.

Remember, updating to the latest PHP version may break your website due to compatibility issues of plugins. Therefore, carefully read this guide and follow the steps

Let’s see then,

Step 1: Install Plugin

First, go to your WordPress dashboard and install PHP Compatibility Checker Plugin.

Install-PHP-compatibility-checker-plugin

If you face some issue then follow this step by step guide to install a WordPress plugin.

Step 2: Start Scanning

Now simply, head over to Tools -> PHP Compatibility and select your version which you need to test for.

check-php-compatibility-wordpress

Hit the scan site button.

Step 3: Check the Results

After a while, you can check scan results and identify which theme or plugin is not compatible with the PHP version.

results-php-compatibility-wordpress

If all looks good then you’re good to go with the upgrading.

For a safer side, after upgrading perform all basic checks and test your website whether it is fully functioning or not.

If you notice any change then you can easily revert back to the previous version anytime.

If this guide helped you in checking PHP compatibility then consider sharing this post.

Leave a Comment

Copy link
Powered by Social Snap